[pisa-src] r2322 - trunk/openwrt/build-maemo.sh

  • From: René Hummen <rene.hummen@xxxxxxxxxxxxxx>
  • To: pisa-src@xxxxxxxxxxxxx
  • Date: Thu, 29 Apr 2010 14:19:59 +0200

Author: hummen
Date: Thu Apr 29 14:19:58 2010
New Revision: 2322

Log:
factored out HIPL-related functionality to HIPL project

The script can be found in HIPL/tools/build-maemo.sh.

Modified:
   trunk/openwrt/build-maemo.sh

Modified: trunk/openwrt/build-maemo.sh
==============================================================================
--- trunk/openwrt/build-maemo.sh        Tue Apr 27 19:20:25 2010        (r2321)
+++ trunk/openwrt/build-maemo.sh        Thu Apr 29 14:19:58 2010        (r2322)
@@ -37,44 +37,10 @@
     exit 1
 fi
 
-# HIPL
-if [ -e $HIPL ]; then
-    echo_to_stderr "-> Preparing HIPL for MAEMO"
-    cd $HIPL || exit 1
-    rm -f hipl-*.tar.gz
-    if [ -e Makefile ]; then
-        make autotools-clean
-    fi
-
-    echo_to_stderr "    Updating HIPL..."
-    bzr up
-    echo_to_stderr "    Done."
-
-    echo_to_stderr "    Making HIPL tarball..."
-    autoreconf --install
-    ./configure
-    make dist
-    echo_to_stderr "    Done."
-
-    echo_to_stderr "-> Building HIPL"
-    echo_to_stderr "    Unapcking tarball..."
-    rm -rf $SCRATCHBOX_HOME/hipl*
-    tar -xvzf $HIPL/hipl-main.tar.gz -C $SCRATCHBOX_HOME
-    mv $SCRATCHBOX_HOME/hipl-main $SCRATCHBOX_HOME/hipl-1.0.6
-    echo_to_stderr "    Done."
-
-    echo_to_stderr "    Compiling HIPL for Maemo..."
-    $SCRATCHBOX/login -d hipl-1.0.6 dpkg-buildpackage -rfakeroot -b
-    echo_to_stderr "    Done."
-else
-    echo_to_stderr "ERROR: $HIPL does not exist."
-    exit 1
-fi
-
 # PISA
 if [ -e $PISA ]; then
     echo_to_stderr "-> Preparing PISA for MAEMO"
-    cd $PISA || exit 1
+    cd $PISA || exit 1
     rm -f pisa-*.tar.gz
     if [ -e Makefile ]; then
         make autotools-clean

Other related posts:

  • » [pisa-src] r2322 - trunk/openwrt/build-maemo.sh - René Hummen